Package org.jcsp.plugNplay

# Class Generate

java.lang.Object
org.jcsp.plugNplay.Generate

All Implemented Interfaces:
  `CSProcess`

public final class Generate extends Object implements CSProcess
Generates an infinite (constant) sequence of `Integer`s.

## Process Diagram

## Description

`Generate` is a process that generates an infinite sequence of the integer, `n`, with which it is configured.

## Channel Protocols

Output Channels
out | java.lang.Integer | The output will always be of type Integer.

Author:
  P.H. Welch and P.D. Austin and P.H. Welch

## Constructor Summary

Constructors
Constructor
Description
`Generate(ChannelOutput out, int n)`
Construct a new `Generate` process with the output channel `out`.

## Method Summary

Modifier and Type
Method
Description
`void`
`run()`
The main body of this process.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### Generate

public Generate(ChannelOutput out, int n)
Construct a new `Generate` process with the output channel `out`.

Parameters:
  `out` - the output channel
  `n` - the integer to generate

## Method Details

### run

public void run()
The main body of this process.

Specified by:
  `run` in interface `CSProcess`